View Issue Details

IDProjectCategoryView StatusLast Update
0032976Open CASCADEOCCT:Visualizationpublic2022-10-19 15:50
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeveritytweak 
Status verifiedResolutionfixed 
Product Version7.4.0 
Target Version7.7.0 
Summary0032976: Visualization - AIS_InteractiveContext::FitSelected() includes objects invisible in current View
DescriptionAIS_InteractiveContext::FitSelected() does not consider View Affinity, so that objects invisible in current view are suddenly considered by FitAll operation.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032978 verifiedvpozdyayev Visualization - AIS_ViewController::PickPoint() includes objects invisible in current View 
child of 0028954 closedbugmaster Visualization - implement interactive object AIS_ViewCube for camera manipulations 

Activities

git

2022-05-16 23:02

administrator   ~0108457

Branch CR32976 has been created by kgv.

SHA-1: 1dafb71466e02dd63dae7a6be4d8f7621a4c258e


Detailed log of new commits:

Author: kgv
Date: Mon May 16 23:02:31 2022 +0300

    0032976: Visualization - AIS_InteractiveContext::FitSelected() includes objects invisible in current View

kgv

2022-05-17 01:17

developer   ~0108459

Please raise the patch
- OCCT: branch CR32976.

http://jenkins-test-occt/view/CR32976-master-KGV/

afokin

2022-05-21 11:08

administrator   ~0108531

Combination -
OCCT branch : IR-2022-05-20
master SHA - 84d39c06fa79d4227c1bc415e36e3924f7ff64c6
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-05-20 SHA - 17cda8130dd822da7e07127476a2902326a00742
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18673.29000000065 / 18725.070000000575 [-0.28%]
Products
Total CPU difference: 11729.870000000092 / 11731.410000000136 [-0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20661.390625 / 20657.984375 [+0.02%]
Products
Total CPU difference: 13282.171875 / 13258.375 [+0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-05-21 11:47

administrator   ~0108543

Branch CR32976 has been deleted by mnt.

SHA-1: 1dafb71466e02dd63dae7a6be4d8f7621a4c258e

Related Changesets

occt: master b56df3a6

2022-05-16 23:02:31

kgv


Committer: smoskvin Details Diff
0032976: Visualization - AIS_InteractiveContext::FitSelected() includes objects invisible in current View Affected Issues
0032976
mod - src/AIS/AIS_InteractiveContext.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
mod - src/AIS/AIS_ViewController.cxx Diff File
mod - src/AIS/AIS_ViewCube.cxx Diff File

Issue History

Date Modified Username Field Change
2022-05-16 22:56 kgv New Issue
2022-05-16 22:56 kgv Assigned To => kgv
2022-05-16 23:02 git Note Added: 0108457
2022-05-16 23:10 kgv Relationship added child of 0028954
2022-05-16 23:11 kgv Product Version 7.6.0 => 7.4.0
2022-05-17 01:17 kgv Assigned To kgv => bugmaster
2022-05-17 01:17 kgv Severity minor => tweak
2022-05-17 01:17 kgv Steps to Reproduce Updated
2022-05-17 01:17 kgv Test case number => N/A
2022-05-17 01:17 kgv Note Added: 0108459
2022-05-17 01:17 kgv Status new => resolved
2022-05-17 01:17 kgv Status resolved => reviewed
2022-05-17 02:46 kgv Relationship added related to 0032978
2022-05-21 11:08 afokin Status reviewed => tested
2022-05-21 11:08 afokin Note Added: 0108531
2022-05-21 11:45 smoskvin Changeset attached => occt master b56df3a6
2022-05-21 11:45 kgv Assigned To bugmaster => kgv
2022-05-21 11:45 kgv Status tested => verified
2022-05-21 11:45 kgv Resolution open => fixed
2022-05-21 11:47 git Note Added: 0108543
2022-10-19 15:50 smoskvin Assigned To kgv => vpozdyayev